#ifndef MUTEX_H
#define MUTEX_H

#define USE_PTHREAD

#ifdef USE_PTHREAD
#include <pthread.h>

#define mutex_t 	pthread_mutex_t
#define mutex_init(__mutex) { pthread_mutex_init(&__mutex, NULL); }
#define mutex_lock(__mutex) { pthread_mutex_lock(&__mutex); }
#define mutex_unlock(__mutex) { pthread_mutex_unlock(&__mutex); }

#endif

#endif
