#!/bin/bash

ODIR=`pwd`
CYCLES=3

cd ../
function scheduler_test()
{
	OUTPUT=./tests/$1
	ARGUMENTS="$2"
	rm ${OUTPUT}
	echo ${OUTPUT}:${ARGUMENTS}:${CYCLES}
	for i in `seq 0 9`
	do
		for j in `seq 1 ${CYCLES}`
		do
			echo ${ARGUMENTS}
			echo -en "$i\t" >> ${OUTPUT} 
			/usr/bin/time -f '%e' ./schemik -t $i ${ARGUMENTS} > /dev/null 2>> ${OUTPUT}

		done
	done
}

function thread_test()
{
	OUTPUT=./tests/$1
	ARGUMENTS="$2"
	./schemik -t 100 ${ARGUMENTS}
	cp thread.log ${OUTPUT}
}

#scheduler_test b-sched-fib33-forward.dat '-q -s ./scm/fib33.scm -p forward'
#scheduler_test b-sched-fib33-backward.dat '-q -s ./scm/fib33.scm -p backward'
#scheduler_test b-sched-qsort-forward.dat '-s ./scm/quicksort.scm -p forward'
#scheduler_test b-sched-qsort-backward.dat '-s ./scm/quicksort.scm -p backward'
#scheduler_test b-real-mergesort-backward.dat '-s ./scm/mergesort4.scm -p backward'
scheduler_test b-real-bubblesort-backward.dat '-s ./scm/bubblesort.scm -p backward'
#scheduler_test b-real-matrix1-backward.dat '-s ./scm/matrix1.scm -p backward'
#scheduler_test b-real-matrix2-backward.dat '-s ./scm/matrix2.scm -p backward'
#scheduler_test b-real-matrix3-backward.dat '-s ./scm/matrix3.scm -p backward'

#thread_test t-sched-quicksort-forward.dat '-s ./scm/quicksort.scm -p forward'
#thread_test t-sched-quicksort-backward.dat '-s ./scm/quicksort.scm -p backward'
#thread_test t-sched-fib33-forward.dat '-q -s ./scm/fib30.scm -p forward'
#thread_test t-sched-fib33-backward.dat '-q -s ./scm/fib30.scm -p backward'


#scheduler_test b-platf-holly-backward.dat '-s ./scm/fib33.scm -p forward'

cd ${ODIR}

