set terminal mp
set output "e-sched-qsort.mp"
set xlabel "Threads (count)"
set ylabel "Elapsed time (s)"
set yrange [0:]
set xrange [1:]
set xtics 1
set ytics 2
plot \
	"c-sched-qsort-backward.dat" using 1:2 with histeps title "with backward scheduler (s)", \
	"c-sched-qsort-forward.dat" using 1:2 with histeps title "with forward scheduler (s)", \
	"c-sched-qsort-forward.dat" using 1:6 with histeps title "teoretical limit (s)"
