#ifndef FUNCTIONS_H
#define FUNCTIONS_H

#include "types.h"

#define SCM_ARGS 	int count, scm_value ** args

scm_value * plus(SCM_ARGS);
scm_value * minus(SCM_ARGS);
scm_value * multiply(SCM_ARGS);
scm_value * divide(SCM_ARGS);
scm_value * pred_eq(SCM_ARGS);
scm_value * pred_lt(SCM_ARGS);
scm_value * pred_gt(SCM_ARGS);
scm_value * not(SCM_ARGS);
scm_value * display_dbg(SCM_ARGS);
/*
scm_value * display(SCM_ARGS);
scm_value * newline(SCM_ARGS);
*/
scm_value * list(SCM_ARGS);
scm_value * is_null(SCM_ARGS);
scm_value * car(SCM_ARGS);
scm_value * cdr(SCM_ARGS);
scm_value * cons(SCM_ARGS);
scm_value * list_reverse(scm_value * list);
scm_value * pred_pair(SCM_ARGS);
scm_value * pred_number(SCM_ARGS);
scm_value * pred_symbol(SCM_ARGS);
scm_value * pred_boolean(SCM_ARGS);
scm_value * pred_procedure(SCM_ARGS);
scm_value * pred_macro(SCM_ARGS);
scm_value * pred_list(SCM_ARGS);
scm_value * pred_equal(SCM_ARGS);
scm_value * pred_int(SCM_ARGS);
scm_value * pred_float(SCM_ARGS);
scm_value * pred_vector(SCM_ARGS);
scm_value * gensym(SCM_ARGS);
scm_value * append(SCM_ARGS);
scm_value * modulo(SCM_ARGS);
scm_value * quotient(SCM_ARGS);
scm_value * pred_eqref(SCM_ARGS);
scm_value * pred_eqv(SCM_ARGS);


scm_value * vector(SCM_ARGS);
scm_value * make_vector(SCM_ARGS);
scm_value * vector_ref(SCM_ARGS);
scm_value * vector_length(SCM_ARGS);
scm_value * list_to_vector(SCM_ARGS);
scm_value * vector_to_list(SCM_ARGS);



scm_value * begin(SCM_ARGS);
scm_value * let(SCM_ARGS);
scm_value * quasiquote(SCM_ARGS);
scm_value * and(SCM_ARGS);
scm_value * or(SCM_ARGS);
scm_value * cond(SCM_ARGS);

#endif
