(define (matrix-create n value)
  (define (iter m v)
    (if (= m 0) () (cons v (iter (- m 1) v))))
  (iter n (iter n value)))

(define (dummy-func x)
    (define (iter n)
          (if (= n 0) 0 (iter (- n 1))))
      (+ x (iter 300)))

(define (multiply-scalar m k)
  (map-exp (lambda (row)
	 (map (lambda (cell) (* cell k)) row)
	 ) m))

(define X (matrix-create 2000 2))
(multiply-scalar X 1.5) 
